%define module_name dc395
%define module_version 141
%define module_release alt2
%define module_source %module_name-%module_version.tar.gz
%define module_source_dir %module_name

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux kernel module for the dc395x_trm SCSI driver source
License: GPL
Group: Development/Kernel
BuildArch: noarch
Url: http://www.garloff.de/kurt/linux/dc395/
Source0: %module_source
Patch0: dc395x_trm_gcc34_fix.patch

%description
%module_name modules sources for Linux kernel

%prep
%setup -c

pushd %module_source_dir
%patch0 -p1
popd

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mv %module_source_dir kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Thu Mar 17 2005 Sergey Vlasov <vsu@altlinux.ru> 141-alt2
- Fix broken fix for gcc3.4 compatibility.

* Sun Feb 13 2005 LAKostis <lakostis at altlinux.ru> 141-alt1.1
- Fix gcc3.4 compatibility.

* Thu Oct 16 2003 Alexei Takaseev <taf@altlinux.ru> 141-alt1
- first build for Sisyphus
